#!/bin/sh
SRC=$USERDATAPATH
DEST=/mnt/mtdblock
DEST2=/mnt/mtdblock/data

ifconfig eth0 192.168.1.201 up

cd /lib
tar xvzf $DEST/lib/libnew.tgz 
ln -s $DEST/MiniGUI.cfg /etc/MiniGUI.cfg -f
sync

export QWS_MOUSE_PROTO=TPanel:/dev/input/event0
export V_ROOT=/mnt/mtdblock/lib/ts
export TSLIB_CONSOLEDEVICE=none
export TSLIB_FBDEVICE=/dev/fb0
export TSLIB_TSDEVICE=/dev/event2
export TSLIB_CALIBFILE=$V_ROOT/etc/pointercal
export TSLIB_CONFFILE=$V_ROOT/etc/ts.conf
export TSLIB_PLUGINDIR=$V_ROOT/share/ts/plugins
export LD_LIBRARY_PATH=$V_ROOT/lib:$LD_LIBRARY_PATH
ln -s $DEST/lib/libradio_pthread.so /lib/libradio_pthread.so -f
if [ -f $DEST/lib/minires.tgz ]; then
	tar -xzf $DEST/lib/minires.tgz -C /usr/local/lib && rm $DEST/lib/minires.tgz -f &&  sync
fi

ln -s $DEST/lib/libcam.so  /lib/libcam.so -f

if [ -f $DEST/res.tgz ]; then
    cd $DEST && tar -xzf res.tgz && sync
fi

if [ -d $DEST/wav ]; then
        cp $DEST/wav -rf /mnt/ramdisk && sync
fi

if [ -f $DEST/language.tgz ]; then
    cd $DEST && tar -xzf language.tgz && sync
fi

if [ -f $DEST/drivers/eeprom.ko ]; then
	rm $DEST/drivers/eeprom.ko  && sync
fi

if [ -f $DEST/drivers/hv7131.ko ]; then
	insmod $DEST/drivers/hv7131.ko
fi

if [ -f $DEST/drivers/cim.ko ]; then
	insmod $DEST/drivers/cim.ko
fi

if [ -f $DEST/drivers/gpio_drv.ko ]; then
	insmod $DEST/drivers/gpio_drv.ko
fi

if [ -f $DEST/drivers/uvcvideo.ko ]; then
        insmod $DEST/drivers/uvcvideo.ko
fi

if [ -f $DEST/drivers/dummy.ko ]; then
	insmod $DEST/drivers/dummy.ko
fi

if [ -f $DEST/drivers/ads7846.ko ]; then
	insmod $DEST/drivers/ads7846.ko
fi
if [ -f $DEST/drivers/gspca_main.ko ]; then
	cd $DEST/drivers && rm gspca_main.ko -f && sync
fi

if [ -f $DEST/drivers/gspca_zc3xx.ko ]; then
	cd $DEST/drivers && rm gspca_zc3xx.ko -f && sync
fi
			
if [ -f $DEST/drivers/gspca.ko ]; then
	cd $DEST/drivers && rm gspca.ko -f && sync
fi


if [ -f $DEST/lib/libweb.so ]; then
	ln -s $DEST/lib/libweb.so /lib/libweb.so -f
fi
if [ -f $DEST/initwifi ]; then
   cd $DEST && chmod u+x $DEST/initwifi && $DEST/initwifi
fi

if [ -f $DEST/lib/libttf.so ]; then
	ln -s $DEST/lib/libttf.so /lib/libttf.so -f
fi

if [ -f $DEST/wifi/rt73.ko ]; then
	insmod $DEST/wifi/rt73.ko
fi

if [ -f $DEST/wifi/rt73.tgz ]; then
	rm /etc/rt73* -f && tar xvzf $DEST/wifi/rt73.tgz -C /etc/ && sync
fi

if [ -f $DEST/gprs/modem.bz2 ]; then
	rm /etc/ppp/p*  -rf && tar xjf $DEST/gprs/modem.bz2 -C /etc/ppp && sync
	cp -f /etc/ppp/peers/pap-secrets /etc/ppp && sync
fi

if [ -f $DEST/gprs/pppd ]; then
	cp -f $DEST/gprs/pppd /sbin/ && sync
fi

if [ -f $DEST/gprs/chat ]; then
	cp  -f $DEST/gprs/chat /usr/sbin/ && sync
fi

if [ -f $DEST/lib/libweb.so ]; then
	ln -s $DEST/lib/libweb.so /lib/libweb.so -f
fi

if [ -f $DEST/webroot.tgz ]; then
	tar xzf $DEST/webroot.tgz -C /mnt/mtdblock/ && sync
fi
	
if [ -f $DEST/main.gz ]; then
        cd $DEST && rm main -f && gunzip main.gz && sync
fi

if [ -f $DEST/main ]; then
        cd $DEST && chmod u+x $DEST/main && $DEST/main &
fi 

if [ -f $DEST/data/wdt ]; then
	cd $DEST/data && chmod u+x $DEST/data/wdt && $DEST/data/wdt -p 5 -t 3600 -m "/mnt/mtdblock/main"
fi
